B10-AUTH(8)

NAME
b10-auth - Authoritative DNS server

SYNOPSIS

b10-auth [-4] [-6] [-p number] [-v]

DESCRIPTION

The b10-auth daemon provides the BIND 10 authoritative DNS server. Normally it is started by the bind10(8) boss process.

This daemon communicates with other BIND 10 components over a b10-msgq(8) C-Channel connection. If this connection is not established, b10-auth will exit.

It also receives its configurations from b10-cfgmgr(8). It will honor the database_file configuration to point to the SQLite3 zone file.

    Note

    This prototype version uses SQLite3 as its data source backend. Future versions will be configurable, supporting multiple data storage types.

OPTIONS

The arguments are as follows:

-4
    Enables IPv4 only mode. This switch may not be used with -6. By default, it listens on both IPv4 and IPv6 (if capable).

-6
    Enables IPv6 only mode. This switch may not be used with -4. By default, it listens on both IPv4 and IPv6 (if capable).

-p number
    The port number it listens on. The default is 5300.

        Note
        The Y1 prototype runs on all interfaces and on this nonstandard port.

-v
    Enabled verbose mode. This enables diagnostic messages to STDERR.

FILES

/usr/local/var/db/zone.sqlite3 — Location for the SQLite3 zone database when database_file configuration is not defined.

SEE ALSO

b10-cfgmgr(8), b10-cmdctl(8), b10-loadzone(8), b10-msgq(8), bind10(8), BIND 10 Guide.

HISTORY

The b10-auth daemon was first coded in October 2009.

COPYRIGHT
Copyright © 2010 Internet Systems Consortium, Inc. ("ISC")